import javax.swing.JFrame;

import java.awt.GridLayout;
import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.WindowConstants;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.FlowLayout;

import javax.swing.JTextField;
import javax.swing.SwingConstants;

import com.example.calcolatrice.Calcolatrice;

import java.awt.Dimension;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.Toolkit;


public class CalcolatriceFrame extends JFrame{
	private final JLabel lblQuestaLa = new JLabel("Questa è la mia calcolatrice");
	private JTextField textField;
	private Calcolatrice calcolatrice = new Calcolatrice();
	
	public CalcolatriceFrame() {
		setTitle("Calcolatrice");
		getContentPane().setLayout(new BorderLayout(0, 0));
				
		JPanel panel = new JPanel();
		GridBagConstraints gbc_panel = new GridBagConstraints();
		gbc_panel.anchor = GridBagConstraints.NORTH;
		gbc_panel.fill = GridBagConstraints.HORIZONTAL;
		gbc_panel.gridx = 0;
		gbc_panel.gridy = 2;
		getContentPane().add(panel, BorderLayout.CENTER);
		panel.setLayout(new GridLayout(4, 4, 0, 0));
		
		JButton btnNewButton_1 = new JButton("7");
		btnNewButton_1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiSette();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});	
		panel.add(btnNewButton_1);
		
		JButton btnNewButton_2 = new JButton("8");
		btnNewButton_2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiOtto();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});	
		panel.add(btnNewButton_2);
		
		JButton btnNewButton_3 = new JButton("9");
		btnNewButton_3.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiNove();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});	
		panel.add(btnNewButton_3);
		
		JButton btnNewButton_4 = new JButton("+");
		btnNewButton_4.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiSomma();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});		
		panel.add(btnNewButton_4);
		
		JButton btnNewButton_6 = new JButton("4");
		btnNewButton_6.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiQuattro();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_6);
		
		JButton btnNewButton_8 = new JButton("5");
		btnNewButton_8.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiCinque();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_8);
		
		JButton btnNewButton_9 = new JButton("6");
		btnNewButton_9.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiSei();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_9);
		
		JButton btnNewButton = new JButton("-");
		btnNewButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiSottrazione();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton);
		
		JButton btnNewButton_5 = new JButton("1");
		btnNewButton_5.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiUno();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_5);
		
		JButton btnNewButton_7 = new JButton("2");
		btnNewButton_7.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiDue();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_7);
		
		JButton btnNewButton_12 = new JButton("3");
		btnNewButton_12.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiTre();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_12);
		
		JButton btnNewButton_10 = new JButton("*");
		btnNewButton_10.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiProdotto();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_10);
		
		JButton btnNewButton_11 = new JButton("0");
		btnNewButton_11.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiZero();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_11);
		
		JButton btnNewButton_13 = new JButton("C");
		btnNewButton_13.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiCancella();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_13);
		
		JButton btnNewButton_14 = new JButton("=");
		btnNewButton_14.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiUguale();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_14);
		
		JButton btnNewButton_15 = new JButton("/");
		btnNewButton_15.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				calcolatrice.premiDivisione();
				textField.setText(calcolatrice.dammiDisplay());
			}
		});
		panel.add(btnNewButton_15);
		
		JPanel panel_1 = new JPanel();
		getContentPane().add(panel_1, BorderLayout.NORTH);
		panel_1.setLayout(new GridLayout(2, 1, 0, 0));
		panel_1.add(lblQuestaLa);
		
		textField = new JTextField();
		textField.setText("0");
		textField.setHorizontalAlignment(SwingConstants.RIGHT);
		textField.setEditable(false);
		panel_1.add(textField);
		textField.setColumns(10);
		
		setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
	}
	
	public static void main(String[] args) {
		CalcolatriceFrame frame = new CalcolatriceFrame();
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		frame.pack();
		frame.setLocation(dim.width/2-frame.getSize().width/2, dim.height/2-frame.getSize().height/2);
		frame.setVisible(true);
	}
	

}
